Bug 1294200 - Ship version using ILP64 BLAS
Ship version using ILP64 BLAS
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: suitesparse (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 05:55 EST by Milan Bouchet-Valat
Modified: 2017-08-16 07:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Bouchet-Valat 2015-12-25 05:55:30 EST
It is becoming more and more common to encounter very large sparse matrices whose dimensions can exceed the maximum value fitting in a 32-bit integer. For this reason, some projects have switched to an ILP64 BLAS. OpenBLAS in Fedora has shipped it for some time (Bug 1088256), and has just started shipping an alternative ILP64 version with all symbols suffixed with "64_" in order to allow a process to also load libraries built against an LP64 BLAS without conflicts (Bug 1287541).

As I've just switched my Julia package to the ILP64 OpenBLAS, I'd like to be able to use a SuiteSparse version based on ILP64 OpenBLAS too. Would you be willing to create an alternative version of SuiteSparse packages for that? The "-DSUN64" flag already exists in SuiteSparse to make use of the "64_" suffixes.
Comment 1 Orion Poplawski 2016-01-06 17:03:05 EST
Also, would it possible to build suitesparse without being directly linked to a BLAS library so a downstream user could choose?
Comment 2 Jan Kurik 2016-02-24 09:10:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Milan Bouchet-Valat 2016-07-27 17:45:34 EDT
Bump! Any chance you would accept such a change? Should I provide a patch?
Comment 4 David Kaspar [Dee'Kej] 2016-07-28 09:00:19 EDT
Hello,

I'm not directly assign to this BZ, but I think requests in comment 0 and comment 1 are reasonable, and makes sense.

(In reply to Milan Bouchet-Valat from comment #3)
> Should I provide a patch?

I think this will not hurt anything. It might speed up things actually.
Comment 5 Fedora End Of Life 2017-07-25 15:40:44 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.